Contenu | Rechercher | Menus

Annonce

Ubuntu-fr vend de superbes t-shirts et de belles clés USB 32Go
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 04/11/2019, à 13:03

Markorki

installer avidemux sur bionic (18-04-LTS) , en fin 2019 [Résolu]

Bonjour,

Je n'ai pas mis mon pb à la fin du fil résolu "installer avidemux" ( https://forum.ubuntu-fr.org/viewtopic.php?id=2026291 ) , marqué résolu mais proposant de se passer de avidemux plutôt que l'installer.
Par ailleurs, ma variante ubuntu est maté.

J'ai téléchargé l'image appli linux 64bits là : https://www.fosshub.com/Avidemux.html , vérifié le checksum MD5 , et passé le fichier obtenu en exécutable.

Quand je clique droit sur le fichier obtenu  (dans caja) je n'ai pas de choix "installer", mais juste "ouvrir", que j'obtiens aussi en cliquant 2 fois sur l'exécutable.

OK, ça marche pour une utilisation "manuelle", mais pas dans un script , ni si on entre "avidemux" dans un terminal : on obtient juste "commande inconnue".
Comment faire connaitre cet exécutable comme une appli, accessible par les menus, un lanceur dans un tableau de bord ou un appel dans un  script en bash , bref l'installer, quoi ?

Dernière modification par Markorki (Le 21/11/2019, à 12:15)

Hors ligne

#2 Le 04/11/2019, à 17:12

bishop

Re : installer avidemux sur bionic (18-04-LTS) , en fin 2019 [Résolu]

Markorki écrit :
Comment faire connaitre cet exécutable comme une appli, accessible par les menus, un lanceur dans un tableau de bord ou un appel dans un  script en bash , bref l'installer, quoi ?

Si on se passe des commentaires parfois très vifs du pour ou du contre les PPAs, en ce qui me concerne je choisis la simplicité, j'utilise un PPA.
Il existe pour Bionic 18.04 un PPA qui fonctionne très bien : Packages in “Avidemux”. Bien sûr c'est un PPA non officiel mais si tu lis le curriculum du mec Panda Jim qui prépare les paquets (depuis 2013), s'il y avait eu un problème on le saurait.

sudo add-apt-repository ppa:ubuntuhandbook1/avidemux
sudo apt-get update
sudo apt install avidemux2.7-qt5 avidemux2.7-cli avidemux2.7-plugins-qt5 avidemux2.7-plugins-cli avidemux2.7-plugins-settings

1572880178.jpg


Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#3 Le 04/11/2019, à 17:26

erresse

Re : installer avidemux sur bionic (18-04-LTS) , en fin 2019 [Résolu]

Bonjour,
Moi, je te propose de confirmer que ce que tu as téléchargé est une version d'avidemux en appimage, non ?
Auquel cas, ce genre de logiciel ne s'installe pas, il est directement exécutable, dès lors que tu as mis (tu l'as fait) le drapeau "exec".
Pour qu'il soit facile à appeler, notamment dans un script, il suffit que le fichier soit dans un répertoire qui fait partie du $PATH. Donc, tu peux le mettre dans le répertoire $HOME/bin qui est standard et fait partie du $PATH.
Si ce répertoire nexiste pas, tu le crées tout simplement dans ton répertoire personnel $HOME et le tour sera joué !


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

En ligne

#4 Le 21/11/2019, à 12:15

Markorki

Re : installer avidemux sur bionic (18-04-LTS) , en fin 2019 [Résolu]

bonjour
D'abord, mes excuses pour ce long silence.
Merci à tous les deux.
Je n'ai pas réussi à utiliser les PPA, qui est la première chose que j'ai tentée, cet échec vient sans doute de ma liste de sources de mises à jour, qui est polluée par des appels à des dépots obsoletes, mais ce sera (peut-être) pour un autre fil.

Avec l'appimage, mon pb vient de ce que j'avais mal renommé l'image , avec une faute de frappe sur "avidemux". En fait, ça marche même dans un  script... Les scripts (anciens) sont à revoir parce que les options d'avidemux ont changé, mais l'appel fonctionne.

Donc, c'est résolu, merci.

Hors ligne